Bug 243378 - Package should require yelp for its help
Summary: Package should require yelp for its help
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany-extensions   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 243478
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 16:25 UTC by Matěj Cepl
Modified: 2018-04-11 11:35 UTC (History)
3 users (show)

Fixed In Version: 2.19.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-10 04:12:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matěj Cepl 2007-06-08 16:25:12 UTC
This package uses yelp for its help. Therefore, it should require package yelp for its operation.

[Filed by a script; forgive him if he made a mistake for once.]

Comment 1 Peter Gordon 2007-06-09 04:42:31 UTC
Hmm. Will fix this momentarily. Thanks for the catch...

Comment 2 Peter Gordon 2007-06-09 05:16:56 UTC
Built into dist-f8; and it should be fixed with the next rawhide updates. Thanks.

Comment 3 Christopher Aillon 2007-06-09 13:17:40 UTC
Ugh.  No...

Comment 4 Christopher Aillon 2007-06-09 13:20:04 UTC
1. Does epiphany-extensions require help in order to function?  NO.
2. Does not having yelp installed lose MAJOR functionality?  NO.  (Just help)

Also, this requires would belong better in epiphany, not -extensions.  This
should be WONTFIX.

Comment 5 Christopher Aillon 2007-06-09 13:24:31 UTC
I deleted the build, so it will not appear in rawhide.  Please revert from cvs.

Comment 7 Matěj Cepl 2007-06-09 22:43:47 UTC
Whole story is in bug 243478 which this bug depends on.

Comment 8 Christopher Aillon 2007-06-09 22:51:15 UTC
All of these bug reports are (most likely) wrong.  The package should NOT
require yelp.  We went through effort to ensure that yelp is not a requirement
for the desktop.

You should ask yourself: will the package fail to work if yelp is not installed?
 If not, do not require yelp.

If you have already committed this fix blindly, I ask that you consider undoing
it so derivative projects can continue using your package without help if they
so choose.

We have added yelp to the default install via comps so that all installs get
yelp by default unless they specifically ask for it to be removed.  We should
honor that.  Please undo your changes if you have made them and/or mark this bug
WONTFIX.  Thanks.

Comment 9 Peter Gordon 2007-06-10 04:12:59 UTC
Yelp dependency reverted. Thanks for the catch, Chris. 


Note You need to log in before you can comment on or make changes to this bug.